Subject: Re: bug#25522: 26.0.50; (hl-line-maybe-unhighlight): (error "Selecting deleted buffer")

From: Stephen Berman <[email-masked]>
Date: Wed, 25 Jan 2017 13:16:29 +0100

On Wed, 25 Jan 2017 00:39:45 +0100 Michael Heerdegen <[email-masked]> wrote:

> Michael Heerdegen <[email-masked]> writes:
>
>>   Error in post-command-hook (hl-line-maybe-unhighlight): (error "Selecting
>> deleted buffer")
>
>> Please tell me if you need a recipe.

I would appreciate one, as I can't reproduce the problem.

> FWIW this is my setup:
>
> #+begin_src emacs-lisp
> (add-hook 'gnus-summary-mode-hook #'hl-line-mode)
> (add-hook 'gnus-group-mode-hook #'hl-line-mode)
> (add-hook 'gnus-server-mode-hook #'hl-line-mode)
> #+end_src

I updated my build to current master, started emacs -Q, evaluated the
above sexps in *scratch*, started Gnus, saw that the current line in the
*Summary* buffer was highlighted, then exited Gnus without getting an
error.  Same thing by making ~/.emacs contain only the above sexps.

Steve Berman